#ifndef OPTIONS_H
#define OPTIONS_H
/*---------------------------------------------------------------------------*
 *
 * Project:	fXPlayMidi
 *
 * $RCSfile: options.h,v $
 * $Date: 1997/04/26 07:47:01 $
 * $Author: klmcw $
 * $Revision: 1.3 $
 *
 *---------------------------------------------------------------------------*
 * $Log: options.h,v $
 * Revision 1.3  1997/04/26 07:47:01  klmcw
 * Removed support for Device option.
 *
 * Revision 1.2  1996/03/09 08:23:12  klmcw
 * Added firsttime special case to prompt for options when they don't exist yet.
 * Added code to save album upon exit if it has changed.
 *
 * Revision 1.1  1996/02/26 02:24:57  klmcw
 * Initial revision
 *
 *---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/

const char *optionsAlbumGet(void);
void        optionsAlbumSet(const char *);

const char *optionsBaseCmdGet(void);
void        optionsBaseCmdSet(const char *);

const char *optionsDirGet(void);
void        optionsDirSet(const char *);
const char *optionsFileNameGet(void);

int         optionsFirstTime(void);

void        optionsFormDefault(XPMApp_t *);

int         optionsRandomGet(void);
void        optionsRandomSet(int);

int         optionsRepeatGet(void);
void        optionsRepeatSet(int);

const char *optionsResetCmdGet(void);
void        optionsResetCmdSet(const char *);

void        optionsSelect(XPMApp_t *);
int         optionsSetMenu(XPMApp_t *);

int         optionsRead(XPMApp_t *);
int         optionsWrite(XPMApp_t *);

/*---------------------------------------------------------------------------*/
#endif
